get backup details.md
Get backup details
Fleets API · Devices
GET https://app.mk.io/api/v1/projects/{project_name}/fleet/backups/{backup_id}
Get details for a single backup by reading metadata.json from blob storage.
RBAC Capability Required: fleet.device.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
backup_id |
string | Yes | format: uuid |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/fleet/backups/{backup_id}" \
-H "Authorization: Bearer <token>"
Responses
200 — Device backup details.
assetFileIncluded· boolean · Required — Whether the asset file is included in the backup.blobStorageUrl· string · Required — The URL to the backup blob in storage.customer· string · Required — The customer ID.device· string · Required — The device ID.id· string · Required — The unique identifier for the backup.name· string · Required — The name of the backup file.project· string · Required — The project ID.services· map from strings to any · Required — Services information.[any key]· any — map of additional properties
signature· string · Required — Signature for the backup file.timestamp· string · Required — Timestamp of the backup creation.
Example:
{
"assetFileIncluded": true,
"blobStorageUrl": "string",
"customer": "string",
"device": "string",
"id": "string",
"name": "string",
"project": "string",
"services": {
"key": null
},
"signature": "string",
"timestamp": "string"
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
409 — Conflict
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: fleets-api · operationId: [get]_/api/v1/projects/{project_name}/fleet/backups/{backup_id}